Package org.opensaml.xacml.policy

# Enum Class EffectType

java.lang.Object
java.lang.Enum<EffectType>
org.opensaml.xacml.policy.EffectType

All Implemented Interfaces:
  `Serializable`, `Comparable<EffectType>`, `Constable`

public enum EffectType extends Enum<EffectType>
XACML policy effect type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Deny`
"Deny" effect type.
`Permit`
"Permit" effect type.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EffectType()`

## Method Summary

Modifier and Type
Method
Description
`static EffectType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffectType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Permit

public static final EffectType Permit
"Permit" effect type.

### Deny

public static final EffectType Deny
"Deny" effect type.

## Constructor Details

### EffectType

private EffectType()

## Method Details

### values

public static EffectType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EffectType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null